//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using CommunityServer.Components;

namespace CommunityServer.Files.Components
{
	/// <summary>
	/// Summary description for UserDownload.
	/// </summary>
	public class UserDownload
	{
		public UserDownload()
		{
		}

		private User _user;
		public User User
		{
			get
			{
				return _user;
			}
			set
			{
				_user = value;
			}
		}

		private DateTime _latestDownloadDate;
		public DateTime LatestDownloadDate
		{
			get
			{
				return _latestDownloadDate;
			}
			set
			{
				_latestDownloadDate = value;
			}
		}

		private int _totalDownloads;
		public int TotalDownloads
		{
			get
			{
				return _totalDownloads;
			}
			set
			{
				_totalDownloads = value;
			}
		}

		private int _postID;
		public int PostID
		{
			get
			{
				return _postID;
			}
			set
			{
				_postID = value;
			}
		}

		public string ViewUserURL
		{
			get
			{
				return SiteUrls.Instance().UserProfile(this.User.UserID);
			}
		}

		public string Username
		{
			get
			{
				return this.User.Username;
			}
		}

		public string UserDisplayName
		{
			get
			{
				return this.User.DisplayName;
			}
		}

		public string UserEmail
		{
			get
			{
				return this.User.Email;
			}
		}
	}
}
